threadlocaldata.h File Reference
`#include <gwenhywfar/gwenhywfarapi.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_THREADLOCAL_DATA | GWEN_THREADLOCAL_DATA

## Functions

GWENHYWFAR_API void | GWEN_ThreadLocalData_free (GWEN_THREADLOCAL_DATA *threadLocalData)
GWENHYWFAR_API void * | GWEN_ThreadLocalData_GetData (const GWEN_THREADLOCAL_DATA *threadLocalData)
GWENHYWFAR_API GWEN_THREADLOCAL_DATA * | GWEN_ThreadLocalData_new ()
GWENHYWFAR_API int | GWEN_ThreadLocalData_SetData (GWEN_THREADLOCAL_DATA *threadLocalData, void *pointer)

## Typedef Documentation

## GWEN_THREADLOCAL_DATA

typedef struct GWEN_THREADLOCAL_DATA GWEN_THREADLOCAL_DATA

Definition at line 38 of file threadlocaldata.h.

## Function Documentation

## GWEN_ThreadLocalData_free()

GWENHYWFAR_API void GWEN_ThreadLocalData_free | ( | GWEN_THREADLOCAL_DATA * | threadLocalData | ) |

References GWENHYWFAR_API.

## GWEN_ThreadLocalData_GetData()

GWENHYWFAR_API void * GWEN_ThreadLocalData_GetData | ( | const GWEN_THREADLOCAL_DATA * | threadLocalData | ) |

References GWENHYWFAR_API.

## GWEN_ThreadLocalData_new()

GWENHYWFAR_API GWEN_THREADLOCAL_DATA * GWEN_ThreadLocalData_new | ( |  | ) |

References GWENHYWFAR_API.

## GWEN_ThreadLocalData_SetData()

GWENHYWFAR_API int GWEN_ThreadLocalData_SetData | ( | GWEN_THREADLOCAL_DATA * | threadLocalData,
|  | void * | pointer )

References GWENHYWFAR_API.